Contact Center

  • OpenAPI Version: 3.1.0
  • API Version: 1.0.0

The Zoom Contact Center webhooks allow developers to receive events for Contact Center features.

Operations

POST contact_center.task_created

  • Method: POST
  • Path: contact_center.task_created
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the created task.

      • engagement_id (required)

        string — The task queue's engagement ID.

      • task_id (required)

        string — The task's ID.

      • auto_assign

        boolean — Whether the task gets manually assigned to a target.

      • callee_number

        string — The callee's phone number.

      • caller_number

        string — The caller's phone number.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The task's channel ID.

      • channel_name

        string, possible values: "voice", "sms", "chat", "video", "in_app_chat" — The task's channel type.

      • created_time

        string, format: date-time — The date and time when the task was created, to the second.

      • created_time_ms

        string, format: date-time — The date and time when the task was created, to the millisecond.

      • flow_id

        string — The task's flow ID.

      • flow_name

        string — The flow name.

      • last_modified_time

        string, format: date-time — The date and time when the task was last modified, to the second.

      • last_modified_time_ms

        string, format: date-time — The date and time when the task was last modified, to the millisecond.

      • queue_id

        string — The task queue's ID.

      • queue_name

        string — The task queue's name.

      • task_priority

        integer — The task's priority, from 0 to 10. The greater the value, the higher the priority. The maximum value is 10.

      • task_status

        string, possible values: "pending", "reserved", "assigned", "canceled", "completed", "wrapping" — The task's status.

      • task_timeout

        integer — The task queue's timeout, to the second.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "task_id": "",
      "flow_id": "",
      "task_status": "pending",
      "flow_name": "",
      "channel_id": "",
      "channel_name": "voice",
      "task_priority": 0,
      "cc_queue_id": "",
      "queue_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "created_time_ms": "",
      "last_modified_time_ms": "",
      "engagement_id": "",
      "auto_assign": true,
      "task_timeout": 1,
      "caller_number": "",
      "callee_number": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the created task.

      • engagement_id (required)

        string — The task queue's engagement ID.

      • task_id (required)

        string — The task's ID.

      • auto_assign

        boolean — Whether the task gets manually assigned to a target.

      • callee_number

        string — The callee's phone number.

      • caller_number

        string — The caller's phone number.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The task's channel ID.

      • channel_name

        string, possible values: "voice", "sms", "chat", "video", "in_app_chat" — The task's channel type.

      • created_time

        string, format: date-time — The date and time when the task was created, to the second.

      • created_time_ms

        string, format: date-time — The date and time when the task was created, to the millisecond.

      • flow_id

        string — The task's flow ID.

      • flow_name

        string — The flow name.

      • last_modified_time

        string, format: date-time — The date and time when the task was last modified, to the second.

      • last_modified_time_ms

        string, format: date-time — The date and time when the task was last modified, to the millisecond.

      • queue_id

        string — The task queue's ID.

      • queue_name

        string — The task queue's name.

      • task_priority

        integer — The task's priority, from 0 to 10. The greater the value, the higher the priority. The maximum value is 10.

      • task_status

        string, possible values: "pending", "reserved", "assigned", "canceled", "completed", "wrapping" — The task's status.

      • task_timeout

        integer — The task queue's timeout, to the second.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "task_id": "",
      "flow_id": "",
      "task_status": "pending",
      "flow_name": "",
      "channel_id": "",
      "channel_name": "voice",
      "task_priority": 0,
      "cc_queue_id": "",
      "queue_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "created_time_ms": "",
      "last_modified_time_ms": "",
      "engagement_id": "",
      "auto_assign": true,
      "task_timeout": 1,
      "caller_number": "",
      "callee_number": ""
    }
  }
}

POST contact_center.engagement_follow_up_task_updated

  • Method: POST
  • Path: contact_center.engagement_follow_up_task_updated
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the updated follow-up task.

      • content (required)

        string — The follow-up task content after the update.

      • date_time_ms (required)

        string, format: date-time — The date and time when the follow-up task was updated, in millisecond.

      • engagement_id (required)

        string — The engagement ID.

      • task_id (required)

        string — The follow-up task ID.

      • user_id (required)

        string — The ID of the user who updated the task.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "task_id": "",
      "engagement_id": "",
      "user_id": "",
      "content": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the updated follow-up task.

      • content (required)

        string — The follow-up task content after the update.

      • date_time_ms (required)

        string, format: date-time — The date and time when the follow-up task was updated, in millisecond.

      • engagement_id (required)

        string — The engagement ID.

      • task_id (required)

        string — The follow-up task ID.

      • user_id (required)

        string — The ID of the user who updated the task.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "task_id": "",
      "engagement_id": "",
      "user_id": "",
      "content": "",
      "date_time_ms": ""
    }
  }
}

POST contact_center.inbox_message_downloaded

  • Method: POST
  • Path: contact_center.inbox_message_downloaded
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the downloaded inbox message.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The date and time when the message is downloaded, to the millisecond.

      • download_type (required)

        string, possible values: "Recording", "Transcript" — The message's download type.

      • engagement_direction (required)

        string, possible values: "inbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • inbox_id (required)

        string — The inbox's ID.

      • inbox_name (required)

        string — The inbox's name.

      • message_id (required)

        string — The message's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_display_name

        string — The user's display name.

      • user_id

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "inbox_id": "",
      "inbox_name": "",
      "message_id": "",
      "download_type": "Recording",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the downloaded inbox message.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The date and time when the message is downloaded, to the millisecond.

      • download_type (required)

        string, possible values: "Recording", "Transcript" — The message's download type.

      • engagement_direction (required)

        string, possible values: "inbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • inbox_id (required)

        string — The inbox's ID.

      • inbox_name (required)

        string — The inbox's name.

      • message_id (required)

        string — The message's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_display_name

        string — The user's display name.

      • user_id

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "inbox_id": "",
      "inbox_name": "",
      "message_id": "",
      "download_type": "Recording",
      "date_time_ms": ""
    }
  }
}

POST contact_center.engagement_follow_up_task_created

  • Method: POST
  • Path: contact_center.engagement_follow_up_task_created
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the created follow-up task.

      • content (required)

        string — The follow-up task content.

      • date_time_ms (required)

        string, format: date-time — The date and time when the follow-up task was created, in milliseconds.

      • engagement_id (required)

        string — The engagement ID.

      • task_id (required)

        string — The follow-up task ID.

      • user_id (required)

        string — The ID of the user who created the task.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "task_id": "",
      "engagement_id": "",
      "user_id": "",
      "content": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the created follow-up task.

      • content (required)

        string — The follow-up task content.

      • date_time_ms (required)

        string, format: date-time — The date and time when the follow-up task was created, in milliseconds.

      • engagement_id (required)

        string — The engagement ID.

      • task_id (required)

        string — The follow-up task ID.

      • user_id (required)

        string — The ID of the user who created the task.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "task_id": "",
      "engagement_id": "",
      "user_id": "",
      "content": "",
      "date_time_ms": ""
    }
  }
}

POST contact_center.inbox_message_reopened

  • Method: POST
  • Path: contact_center.inbox_message_reopened
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the reopened inbox message.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The date and time when the message was reopened, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • inbox_id (required)

        string — The inbox's ID.

      • inbox_name (required)

        string — The inbox's name.

      • message_id (required)

        string — The message's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_display_name

        string — The user's display name.

      • user_id

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "inbox_id": "",
      "inbox_name": "",
      "message_id": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the reopened inbox message.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The date and time when the message was reopened, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • inbox_id (required)

        string — The inbox's ID.

      • inbox_name (required)

        string — The inbox's name.

      • message_id (required)

        string — The message's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_display_name

        string — The user's display name.

      • user_id

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "inbox_id": "",
      "inbox_name": "",
      "message_id": "",
      "date_time_ms": ""
    }
  }
}

POST contact_center.call_control_conference_warm_invite_executed

  • Method: POST
  • Path: contact_center.call_control_conference_warm_invite_executed
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The ID of the account.

    • object (required)

      object — Information about the executed call control conference warm invite.

      • conference_id (required)

        string — The ID of the conference.

      • date_time_ms (required)

        string, format: date-time — The date and time when starting a conference warm invitation by using the **Command Control of user** API, to the millisecond.

      • engagement_id (required)

        string — The ID of the engagement.

      • request_id (required)

        string — The ID of the app request.

      • user_id (required)

        string — The ID of the user.

Example:

{
  "event": "contact_center.call_control_conference_warm_invite_executed",
  "event_ts": 1767076587049,
  "payload": {
    "account_id": "zPd1zOyTRlSAQh70ltxTIw",
    "object": {
      "request_id": "xqJE_cgERLyAJHYYL5LLeg",
      "engagement_id": "u154t5-ASlK83fZb1YWqgw",
      "user_id": "user_123456789",
      "date_time_ms": "2025-12-30T06:36:27Z",
      "conference_id": "b765b61c-7dc8-4c95-b0b9-f2468b7187d1"
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The ID of the account.

    • object (required)

      object — Information about the executed call control conference warm invite.

      • conference_id (required)

        string — The ID of the conference.

      • date_time_ms (required)

        string, format: date-time — The date and time when starting a conference warm invitation by using the **Command Control of user** API, to the millisecond.

      • engagement_id (required)

        string — The ID of the engagement.

      • request_id (required)

        string — The ID of the app request.

      • user_id (required)

        string — The ID of the user.

Example:

{
  "event": "contact_center.call_control_conference_warm_invite_executed",
  "event_ts": 1767076587049,
  "payload": {
    "account_id": "zPd1zOyTRlSAQh70ltxTIw",
    "object": {
      "request_id": "xqJE_cgERLyAJHYYL5LLeg",
      "engagement_id": "u154t5-ASlK83fZb1YWqgw",
      "user_id": "user_123456789",
      "date_time_ms": "2025-12-30T06:36:27Z",
      "conference_id": "b765b61c-7dc8-4c95-b0b9-f2468b7187d1"
    }
  }
}

POST contact_center.queue_supervisor_assigned

  • Method: POST
  • Path: contact_center.queue_supervisor_assigned
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the assigned queue supervisor.

      • cc_queue_id (required)

        string — The Contact Center queue's ID.

      • date_time_ms (required)

        string, format: date-time — The date and time when the supervisor was assigned to the queue, to the millisecond.

      • user_id (required)

        string — The user's ID.

      • date_time

        string, format: date-time — The date and time when the supervisor was assigned to the queue, to the second.

      • display_name

        string — The user's display name.

      • queue_id

        string — The queue's ID.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_email

        string — The user's email.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "cc_queue_id": "",
      "user_id": "",
      "display_name": "",
      "user_email": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the assigned queue supervisor.

      • cc_queue_id (required)

        string — The Contact Center queue's ID.

      • date_time_ms (required)

        string, format: date-time — The date and time when the supervisor was assigned to the queue, to the millisecond.

      • user_id (required)

        string — The user's ID.

      • date_time

        string, format: date-time — The date and time when the supervisor was assigned to the queue, to the second.

      • display_name

        string — The user's display name.

      • queue_id

        string — The queue's ID.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_email

        string — The user's email.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "cc_queue_id": "",
      "user_id": "",
      "display_name": "",
      "user_email": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "date_time_ms": ""
    }
  }
}

POST contact_center.engagement_monitor_started

  • Method: POST
  • Path: contact_center.engagement_monitor_started
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the started engagement monitor.

      • action_type (required)

        string, possible values: "barge", "listen", "whisper" — The monitor's action type. * barge - Voice channel support. * listen - Voice channel support. * whisper - Voice channel support.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The monitor starting time, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • monitoring_user_display_name (required)

        string — The monitoring user's display name.

      • monitoring_user_id (required)

        string — The monitoring user's ID.

      • user_display_name (required)

        string — The assigned user's display name.

      • user_id (required)

        string — The assigned user's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The engagement's channel ID.

      • channel_type

        string, possible values: "voice" — The task's channel type.

      • consumer_display_name

        string — The consumer's address book contact display name.

      • consumer_id

        string — The consumer's address book contact ID.

      • consumer_number

        string — The consumer's phone number.

      • contact_center_number

        string — The user's Contact Center phone number.

      • date_time

        string, format: date-time — The monitor starting time, to the second.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • queue_id

        string — The engagement queue's ID.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "action_type": "barge",
      "flow_id": "",
      "flow_name": "",
      "cc_queue_id": "",
      "queue_name": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "monitoring_user_id": "",
      "monitoring_user_display_name": "",
      "contact_center_number": "",
      "consumer_id": "",
      "consumer_number": "",
      "consumer_display_name": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the started engagement monitor.

      • action_type (required)

        string, possible values: "barge", "listen", "whisper" — The monitor's action type. * barge - Voice channel support. * listen - Voice channel support. * whisper - Voice channel support.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The monitor starting time, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • monitoring_user_display_name (required)

        string — The monitoring user's display name.

      • monitoring_user_id (required)

        string — The monitoring user's ID.

      • user_display_name (required)

        string — The assigned user's display name.

      • user_id (required)

        string — The assigned user's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The engagement's channel ID.

      • channel_type

        string, possible values: "voice" — The task's channel type.

      • consumer_display_name

        string — The consumer's address book contact display name.

      • consumer_id

        string — The consumer's address book contact ID.

      • consumer_number

        string — The consumer's phone number.

      • contact_center_number

        string — The user's Contact Center phone number.

      • date_time

        string, format: date-time — The monitor starting time, to the second.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • queue_id

        string — The engagement queue's ID.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "action_type": "barge",
      "flow_id": "",
      "flow_name": "",
      "cc_queue_id": "",
      "queue_name": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "monitoring_user_id": "",
      "monitoring_user_display_name": "",
      "contact_center_number": "",
      "consumer_id": "",
      "consumer_number": "",
      "consumer_display_name": "",
      "date_time_ms": ""
    }
  }
}

POST contact_center.engagement_monitor_ended

  • Method: POST
  • Path: contact_center.engagement_monitor_ended
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the ended engagement monitor.

      • action_type (required)

        string, possible values: "barge", "listen", "whisper" — The monitor's action type. * barge - Voice channel support. * listen - Voice channel support. * whisper - Voice channel support.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The monitor end time, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • monitoring_user_display_name (required)

        string — The monitoring user's display name.

      • monitoring_user_id (required)

        string — The monitoring user's ID.

      • user_display_name (required)

        string — The assigned user's display name.

      • user_id (required)

        string — The assigned user's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The engagement's channel ID.

      • channel_type

        string, possible values: "voice" — The task's channel type.

      • consumer_display_name

        string — The consumer's address book contact display name.

      • consumer_id

        string — The consumer's address book contact ID.

      • consumer_number

        string — The consumer's phone number.

      • contact_center_number

        string — The user's contact center phone number.

      • date_time

        string, format: date-time — The monitor end time, to the second.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • queue_id

        string — The engagement queue's ID.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "action_type": "barge",
      "flow_id": "",
      "flow_name": "",
      "cc_queue_id": "",
      "queue_name": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "monitoring_user_id": "",
      "monitoring_user_display_name": "",
      "contact_center_number": "",
      "consumer_id": "",
      "consumer_number": "",
      "consumer_display_name": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the ended engagement monitor.

      • action_type (required)

        string, possible values: "barge", "listen", "whisper" — The monitor's action type. * barge - Voice channel support. * listen - Voice channel support. * whisper - Voice channel support.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The monitor end time, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • monitoring_user_display_name (required)

        string — The monitoring user's display name.

      • monitoring_user_id (required)

        string — The monitoring user's ID.

      • user_display_name (required)

        string — The assigned user's display name.

      • user_id (required)

        string — The assigned user's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The engagement's channel ID.

      • channel_type

        string, possible values: "voice" — The task's channel type.

      • consumer_display_name

        string — The consumer's address book contact display name.

      • consumer_id

        string — The consumer's address book contact ID.

      • consumer_number

        string — The consumer's phone number.

      • contact_center_number

        string — The user's contact center phone number.

      • date_time

        string, format: date-time — The monitor end time, to the second.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • queue_id

        string — The engagement queue's ID.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "action_type": "barge",
      "flow_id": "",
      "flow_name": "",
      "cc_queue_id": "",
      "queue_name": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "monitoring_user_id": "",
      "monitoring_user_display_name": "",
      "contact_center_number": "",
      "consumer_id": "",
      "consumer_number": "",
      "consumer_display_name": "",
      "date_time_ms": ""
    }
  }
}

POST contact_center.engagement_note_added

  • Method: POST
  • Path: contact_center.engagement_note_added
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the added engagement note.

      • channel (required)

        string, possible values: "voice", "video", "messaging" — The task's channel. * voice * video * messaging

      • date_time_ms (required)

        string, format: date-time — The date and time when the note was added, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The task queue's engagement ID.

      • last_modified_time (required)

        string, format: date-time — The date and time when the note was last modified in the admin portal.

      • note (required)

        string — The note's content.

      • note_id (required)

        string — The note's unique ID.

      • user_display_name (required)

        string — The user's name.

      • user_id (required)

        string — The user's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The channel ID.

      • channel_name

        string, possible values: "voice", "sms", "chat", "video", "in_app_chat" — The channel type. * voice * sms * chat * video * in_app_chat

      • channel_source

        string, possible values: "in_app_video", "kiosk_video", "web_video", "in_app_chat", "web_chat", "sms", "facebook_messenger", "whatsapp" — The channel's source. * in_app_video - Only applies to video channel. * kiosk_video - Only applies to video channel. * web_video - Only applies to video channel. * in_app_chat - Only applies to messaging channel. * web_chat - Only applies to messaging channel. * sms - Only applies to messaging channel. * facebook_messenger - Only applies to messaging channel. * whatsapp - Only applies to messaging channel.

      • channel_type

        string, possible values: "default", "voice", "sms", "chat", "phone" — The task's channel type. * default * voice * sms * chat * phone

      • consumer_display_name

        string — The consumer's name.

      • consumer_id

        string — The consumer's ID.

      • consumer_number

        string — The consumer's phone number.

      • date_time

        string, format: date-time — The date and time when the note was added, to the second.

      • flow_id

        string — The flow ID.

      • flow_name

        string — The flow name.

      • flow_number

        string — The flow's phone number.

      • queue_id

        string — The engagement's queue's ID.

      • queue_name

        string — The engagement's queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "note_id": "",
      "note": "",
      "last_modified_time": "",
      "channel": "voice",
      "channel_source": "in_app_video",
      "engagement_id": "",
      "engagement_direction": "inbound",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "consumer_id": "",
      "consumer_display_name": "",
      "consumer_number": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the added engagement note.

      • channel (required)

        string, possible values: "voice", "video", "messaging" — The task's channel. * voice * video * messaging

      • date_time_ms (required)

        string, format: date-time — The date and time when the note was added, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The task queue's engagement ID.

      • last_modified_time (required)

        string, format: date-time — The date and time when the note was last modified in the admin portal.

      • note (required)

        string — The note's content.

      • note_id (required)

        string — The note's unique ID.

      • user_display_name (required)

        string — The user's name.

      • user_id (required)

        string — The user's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The channel ID.

      • channel_name

        string, possible values: "voice", "sms", "chat", "video", "in_app_chat" — The channel type. * voice * sms * chat * video * in_app_chat

      • channel_source

        string, possible values: "in_app_video", "kiosk_video", "web_video", "in_app_chat", "web_chat", "sms", "facebook_messenger", "whatsapp" — The channel's source. * in_app_video - Only applies to video channel. * kiosk_video - Only applies to video channel. * web_video - Only applies to video channel. * in_app_chat - Only applies to messaging channel. * web_chat - Only applies to messaging channel. * sms - Only applies to messaging channel. * facebook_messenger - Only applies to messaging channel. * whatsapp - Only applies to messaging channel.

      • channel_type

        string, possible values: "default", "voice", "sms", "chat", "phone" — The task's channel type. * default * voice * sms * chat * phone

      • consumer_display_name

        string — The consumer's name.

      • consumer_id

        string — The consumer's ID.

      • consumer_number

        string — The consumer's phone number.

      • date_time

        string, format: date-time — The date and time when the note was added, to the second.

      • flow_id

        string — The flow ID.

      • flow_name

        string — The flow name.

      • flow_number

        string — The flow's phone number.

      • queue_id

        string — The engagement's queue's ID.

      • queue_name

        string — The engagement's queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "note_id": "",
      "note": "",
      "last_modified_time": "",
      "channel": "voice",
      "channel_source": "in_app_video",
      "engagement_id": "",
      "engagement_direction": "inbound",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "consumer_id": "",
      "consumer_display_name": "",
      "consumer_number": "",
      "date_time_ms": ""
    }
  }
}

POST contact_center.outbound_campaign_dialer_status

  • Method: POST
  • Path: contact_center.outbound_campaign_dialer_status
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the outbound campaign dialer status.

      • campaign_dialer_status (required)

        string, possible values: "consumer_answer", "consumer_no_answer", "consumer_reject", "agent_abandoned", "number_invalid", "number_blocked", "other_errors", "consumer_busy" — The call result.

      • date_time_ms (required)

        string, format: date-time — The campaign dialer execution time, to the millisecond.

      • engagement_id (required)

        string — The engagement's ID.

      • date_time

        string, format: date-time — The campaign dialer execution time, to the second.

      • external_engagement_id

        string — External engagement's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "external_engagement_id": "",
      "campaign_dialer_status": "consumer_answer",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the outbound campaign dialer status.

      • campaign_dialer_status (required)

        string, possible values: "consumer_answer", "consumer_no_answer", "consumer_reject", "agent_abandoned", "number_invalid", "number_blocked", "other_errors", "consumer_busy" — The call result.

      • date_time_ms (required)

        string, format: date-time — The campaign dialer execution time, to the millisecond.

      • engagement_id (required)

        string — The engagement's ID.

      • date_time

        string, format: date-time — The campaign dialer execution time, to the second.

      • external_engagement_id

        string — External engagement's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "external_engagement_id": "",
      "campaign_dialer_status": "consumer_answer",
      "date_time_ms": ""
    }
  }
}

POST contact_center.call_control_make_call_executed

  • Method: POST
  • Path: contact_center.call_control_make_call_executed
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the executed call control make call.

      • date_time_ms (required)

        string, format: date-time — The date and time when an engagement was created by using the **Command Control of user** API, to the millisecond.

      • engagement_id (required)

        string — The engagement's ID.

      • request_id (required)

        string — The app request ID.

      • user_id (required)

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "request_id": "xqJE_cgERLyAJHYYL5LLeg",
      "engagement_id": "u154t5-ASlK83fZb1YWqgw",
      "user_id": "user_123456789",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the executed call control make call.

      • date_time_ms (required)

        string, format: date-time — The date and time when an engagement was created by using the **Command Control of user** API, to the millisecond.

      • engagement_id (required)

        string — The engagement's ID.

      • request_id (required)

        string — The app request ID.

      • user_id (required)

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "request_id": "xqJE_cgERLyAJHYYL5LLeg",
      "engagement_id": "u154t5-ASlK83fZb1YWqgw",
      "user_id": "user_123456789",
      "date_time_ms": ""
    }
  }
}

POST contact_center.user_opt_out

  • Method: POST
  • Path: contact_center.user_opt_out
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the user queue opt-out.

      • cc_queue_id (required)

        string — The Contact Center queue's ID.

      • date_time_ms (required)

        string, format: date-time — The date and time when the user opted out of a queue, to the millisecond.

      • display_name (required)

        string — The user's display name.

      • queue_name (required)

        string — The queue's name.

      • user_id (required)

        string — The user's ID.

      • date_time

        string, format: date-time — The date and time when the user opted out of a queue, to the second.

      • queue_id

        string — The queue's ID.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_email

        string — The user's email.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "user_id": "",
      "display_name": "",
      "user_email": "",
      "cc_queue_id": "",
      "queue_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the user queue opt-out.

      • cc_queue_id (required)

        string — The Contact Center queue's ID.

      • date_time_ms (required)

        string, format: date-time — The date and time when the user opted out of a queue, to the millisecond.

      • display_name (required)

        string — The user's display name.

      • queue_name (required)

        string — The queue's name.

      • user_id (required)

        string — The user's ID.

      • date_time

        string, format: date-time — The date and time when the user opted out of a queue, to the second.

      • queue_id

        string — The queue's ID.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_email

        string — The user's email.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "user_id": "",
      "display_name": "",
      "user_email": "",
      "cc_queue_id": "",
      "queue_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "date_time_ms": ""
    }
  }
}

POST contact_center.inbox_message_resolved

  • Method: POST
  • Path: contact_center.inbox_message_resolved
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the resolved inbox message.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The date and time when the message was resolved, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • inbox_id (required)

        string — The inbox's ID.

      • inbox_name (required)

        string — The inbox's name.

      • message_id (required)

        string — The message's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_display_name

        string — The user's display name.

      • user_id

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "inbox_id": "",
      "inbox_name": "",
      "message_id": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the resolved inbox message.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The date and time when the message was resolved, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • inbox_id (required)

        string — The inbox's ID.

      • inbox_name (required)

        string — The inbox's name.

      • message_id (required)

        string — The message's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_display_name

        string — The user's display name.

      • user_id

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "inbox_id": "",
      "inbox_name": "",
      "message_id": "",
      "date_time_ms": ""
    }
  }
}

POST contact_center.engagement_conference_participant_invited

  • Method: POST
  • Path: contact_center.engagement_conference_participant_invited
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the participant's engagement conference invitation.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • conference_id (required)

        string — The conference's ID.

      • conference_participants (required)

        array — The participants currently in the engagement conference.

        Items:

        • participant_display_name

          string — The participant's display name.

        • participant_phone_number

          string — The participant's phone number.

        • participant_role

          string, possible values: "customer", "host", "invitee" — The participant's role.

        • participant_user_id

          string — The participant's user ID.

      • date_time_ms (required)

        string, format: date-time — The date and time when the participant was invited to the engagement conference, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • flow_id (required)

        string — The flow ID.

      • flow_number (required)

        string — The flow's phone number.

      • invited_participant (required)

        object — The participant being invited to join the engagement conference.

        • participant_phone_number

          string — The participant's phone number.

        • participant_queue_id

          string — The queue ID from which the participant was invited to the conference.

        • participant_user_id

          string — The participant's user ID.

      • division_id

        string — The division's ID.

      • division_name

        string — The division's name.

      • flow_name

        string — The flow name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "division_id": "",
      "division_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "date_time_ms": "",
      "conference_id": "",
      "conference_participants": [
        {
          "participant_user_id": "",
          "participant_display_name": "",
          "participant_role": "customer",
          "participant_phone_number": ""
        }
      ],
      "invited_participant": {
        "participant_phone_number": "",
        "participant_user_id": "",
        "participant_queue_id": ""
      },
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the participant's engagement conference invitation.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • conference_id (required)

        string — The conference's ID.

      • conference_participants (required)

        array — The participants currently in the engagement conference.

        Items:

        • participant_display_name

          string — The participant's display name.

        • participant_phone_number

          string — The participant's phone number.

        • participant_role

          string, possible values: "customer", "host", "invitee" — The participant's role.

        • participant_user_id

          string — The participant's user ID.

      • date_time_ms (required)

        string, format: date-time — The date and time when the participant was invited to the engagement conference, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • flow_id (required)

        string — The flow ID.

      • flow_number (required)

        string — The flow's phone number.

      • invited_participant (required)

        object — The participant being invited to join the engagement conference.

        • participant_phone_number

          string — The participant's phone number.

        • participant_queue_id

          string — The queue ID from which the participant was invited to the conference.

        • participant_user_id

          string — The participant's user ID.

      • division_id

        string — The division's ID.

      • division_name

        string — The division's name.

      • flow_name

        string — The flow name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "division_id": "",
      "division_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "date_time_ms": "",
      "conference_id": "",
      "conference_participants": [
        {
          "participant_user_id": "",
          "participant_display_name": "",
          "participant_role": "customer",
          "participant_phone_number": ""
        }
      ],
      "invited_participant": {
        "participant_phone_number": "",
        "participant_user_id": "",
        "participant_queue_id": ""
      },
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

POST contact_center.task_reservation_canceled

  • Method: POST
  • Path: contact_center.task_reservation_canceled
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the canceled task reservation.

      • assigned_user_id (required)

        string — The task's assigned user's ID.

      • channel (required)

        string, possible values: "voice", "video", "messaging" — The task's channel.

      • engagement_id (required)

        string — The task queue's engagement ID.

      • task_id (required)

        string — The task's ID.

      • task_reservation_id (required)

        string — The reservation's ID.

      • auto_assign

        boolean — Whether the task gets manually assigned to a target.

      • callee_number

        string — The callee's phone number.

      • caller_number

        string — The caller's phone number.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The task's channel ID.

      • channel_name

        string, possible values: "voice", "sms", "chat", "video", "in_app_chat" — The task's channel type.

      • channel_source

        string, possible values: "in_app_video", "kiosk_video", "web_video", "web_chat", "in_app_chat", "sms", "facebook_messenger", "whatsapp" — The channel's source. * in_app_video - Only applies to video channel. * kiosk_video - Only applies to video channel. * web_video - Only applies to video channel. * web_chat - Only applies to messaging channel. * in_app_chat - Only applies to messaging channel. * sms - Only applies to messaging channel. * facebook_messenger - Only applies to messaging channel. * whatsapp - Only applies to messaging channel.

      • created_time

        string, format: date-time — The date and time when the task was created, to the second.

      • created_time_ms

        string, format: date-time — The date and time when the task was created, to the millisecond.

      • flow_id

        string — The task's flow ID.

      • flow_name

        string — The flow name.

      • last_modified_time

        string, format: date-time — The date and time when the task was last modified, to the second.

      • last_modified_time_ms

        string, format: date-time — The date and time when the task was last modified, to the millisecond.

      • queue_id

        string — The task queue's ID.

      • queue_name

        string — The task queue's name.

      • request_id

        string — The app request ID when the task is created by using [**Command control of a user**](/docs/api/contact-center/#tag/call-control/post/contact_center/users/{userId}/commands).

      • task_timeout

        integer — The task queue's timeout, to the second.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "task_reservation_id": "",
      "task_id": "",
      "flow_id": "",
      "assigned_user_id": "",
      "flow_name": "",
      "channel": "voice",
      "channel_source": "in_app_video",
      "cc_queue_id": "",
      "queue_name": "",
      "created_time_ms": "",
      "last_modified_time_ms": "",
      "engagement_id": "",
      "auto_assign": true,
      "task_timeout": 1,
      "caller_number": "",
      "callee_number": "",
      "request_id": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the canceled task reservation.

      • assigned_user_id (required)

        string — The task's assigned user's ID.

      • channel (required)

        string, possible values: "voice", "video", "messaging" — The task's channel.

      • engagement_id (required)

        string — The task queue's engagement ID.

      • task_id (required)

        string — The task's ID.

      • task_reservation_id (required)

        string — The reservation's ID.

      • auto_assign

        boolean — Whether the task gets manually assigned to a target.

      • callee_number

        string — The callee's phone number.

      • caller_number

        string — The caller's phone number.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_id

        string — The task's channel ID.

      • channel_name

        string, possible values: "voice", "sms", "chat", "video", "in_app_chat" — The task's channel type.

      • channel_source

        string, possible values: "in_app_video", "kiosk_video", "web_video", "web_chat", "in_app_chat", "sms", "facebook_messenger", "whatsapp" — The channel's source. * in_app_video - Only applies to video channel. * kiosk_video - Only applies to video channel. * web_video - Only applies to video channel. * web_chat - Only applies to messaging channel. * in_app_chat - Only applies to messaging channel. * sms - Only applies to messaging channel. * facebook_messenger - Only applies to messaging channel. * whatsapp - Only applies to messaging channel.

      • created_time

        string, format: date-time — The date and time when the task was created, to the second.

      • created_time_ms

        string, format: date-time — The date and time when the task was created, to the millisecond.

      • flow_id

        string — The task's flow ID.

      • flow_name

        string — The flow name.

      • last_modified_time

        string, format: date-time — The date and time when the task was last modified, to the second.

      • last_modified_time_ms

        string, format: date-time — The date and time when the task was last modified, to the millisecond.

      • queue_id

        string — The task queue's ID.

      • queue_name

        string — The task queue's name.

      • request_id

        string — The app request ID when the task is created by using [**Command control of a user**](/docs/api/contact-center/#tag/call-control/post/contact_center/users/{userId}/commands).

      • task_timeout

        integer — The task queue's timeout, to the second.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "task_reservation_id": "",
      "task_id": "",
      "flow_id": "",
      "assigned_user_id": "",
      "flow_name": "",
      "channel": "voice",
      "channel_source": "in_app_video",
      "cc_queue_id": "",
      "queue_name": "",
      "created_time_ms": "",
      "last_modified_time_ms": "",
      "engagement_id": "",
      "auto_assign": true,
      "task_timeout": 1,
      "caller_number": "",
      "callee_number": "",
      "request_id": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ]
    }
  }
}

POST contact_center.engagement_consumer_sent_file

  • Method: POST
  • Path: contact_center.engagement_consumer_sent_file
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the engagement customer sent files.

      • channel (required)

        string, possible values: "messaging" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The user's end time, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • files (required)

        array — The file details.

        Items:

        • file_id (required)

          string — The file's unique ID.

        • file_name (required)

          string — The file's name.

        • file_size (required)

          integer, format: int64 — The file's size.

        • file_type (required)

          string, possible values: "Image", "Audio", "Video", "File", "Link" — The file's type.

        • download_url

          string — Attachment download link.

      • user_display_name (required)

        string — The user's display name.

      • user_id (required)

        string — The user's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_source

        string, possible values: "web_chat", "sms", "facebook_messenger", "whatsapp", "in_app_chat" — The channel's source. * in_app_chat - Only applies to messaging channel. * web_chat - Only applies to messaging channel. * sms - Only applies to messaging channel. * facebook_messenger - Only applies to messaging channel. * whatsapp - Only applies to messaging channel.

      • consumer_display_name

        string — The consumer's address book contact display name.

      • consumer_id

        string — The consumer's address book contact ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "messaging",
      "channel_source": "web_chat",
      "date_time_ms": "",
      "flow_id": "",
      "flow_name": "",
      "cc_queue_id": "",
      "queue_name": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "flow_number": "",
      "consumer_id": "",
      "consumer_display_name": "",
      "files": [
        {
          "file_id": "",
          "file_name": "",
          "file_size": 1,
          "file_type": "Image",
          "download_url": ""
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the engagement customer sent files.

      • channel (required)

        string, possible values: "messaging" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The user's end time, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound", "outbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • files (required)

        array — The file details.

        Items:

        • file_id (required)

          string — The file's unique ID.

        • file_name (required)

          string — The file's name.

        • file_size (required)

          integer, format: int64 — The file's size.

        • file_type (required)

          string, possible values: "Image", "Audio", "Video", "File", "Link" — The file's type.

        • download_url

          string — Attachment download link.

      • user_display_name (required)

        string — The user's display name.

      • user_id (required)

        string — The user's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • channel_source

        string, possible values: "web_chat", "sms", "facebook_messenger", "whatsapp", "in_app_chat" — The channel's source. * in_app_chat - Only applies to messaging channel. * web_chat - Only applies to messaging channel. * sms - Only applies to messaging channel. * facebook_messenger - Only applies to messaging channel. * whatsapp - Only applies to messaging channel.

      • consumer_display_name

        string — The consumer's address book contact display name.

      • consumer_id

        string — The consumer's address book contact ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "messaging",
      "channel_source": "web_chat",
      "date_time_ms": "",
      "flow_id": "",
      "flow_name": "",
      "cc_queue_id": "",
      "queue_name": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "flow_number": "",
      "consumer_id": "",
      "consumer_display_name": "",
      "files": [
        {
          "file_id": "",
          "file_name": "",
          "file_size": 1,
          "file_type": "Image",
          "download_url": ""
        }
      ]
    }
  }
}

POST contact_center.queue_created

  • Method: POST
  • Path: contact_center.queue_created
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the created task queue.

      • cc_queue_id (required)

        string — The Contact Center queue's ID.

      • date_time_ms (required)

        string, format: date-time — The date and time when the queue was created, to the millisecond. Refer to queue_created_time for a more accurate time when the queue was created.

      • auto_close_alert_message

        string — A warning message is sent before auto close.

      • auto_close_alert_message_enabled

        boolean — If enabled, a warning message is sent before auto close.

      • auto_close_alert_message_time

        integer — Auto close alert message time, to the minute.

      • auto_close_message

        string — A warning message is sent when auto close.

      • auto_close_message_enabled

        boolean — If enabled, a warning message is sent when auto closed.

      • auto_close_timeout

        integer — Auto close message time, to the minute.

      • channel_types

        array — The task queue's channel types.

        Items:

        string, possible values: "voice", "chat", "sms", "video", "messaging"

      • connecting_media_id

        string — Notify duration for each queue user, to the second.

      • connecting_media_name

        string — File name of the media in use while consumers are being connected. Channel type - Voice

      • disposition_sets_count

        integer — The count of disposition sets.

      • dispositions_count

        integer — The count of dispositions.

      • distribution_duration_in_seconds

        integer — Distribution duration, to the second.

      • distribution_type

        integer — Distribute incoming engagements.

      • holding_media_id

        string — Media ID to use while users are on hold. Channel type - Voice

      • holding_media_name

        string — File name of the media to use while users are on hold. Channel type - Voice

      • max_engagement_in_queue

        integer — The task queue's maximum engagement in queue. Value must be between 1 and 3000.

      • max_wait_time

        integer — Maximum wait time, to the second.

      • message_accept

        string, possible values: "manual", "auto" — Option to accept a message manually or automatically. Channel type - Chat, SMS

      • overflow_to_cc_queue_id

        string — Contact Center queue ID. If the overflow type is queue, the consumer is routed to this queue when the wait time is exceeded.

      • overflow_to_flow_id

        string — Flow ID. If the overflow type is flow, the consumer is routed to this flow when the wait time is exceeded.

      • overflow_to_goodbye_message

        boolean — If enabled, a goodbye message plays and then disconnects when the wait time is exceeded.

      • overflow_to_inbox_id

        string — Inbox ID. If the overflow type is inbox, the consumer is routed to this inbox when the wait time is exceeded.

      • overflow_to_queue_id

        string — Queue ID. If the overflow type is queue, the consumer is routed to this queue when the wait time is exceeded.

      • queue_created_time

        string, format: date-time — The queue creation time, to the millisecond.

      • queue_description

        string — The task queue's description.

      • queue_id

        string — The task queue's ID.

      • queue_name

        string — The task queue's name.

      • recording_storage_location

        string — The recording storage location.

      • service_level_exclude_abandoned_quit_engagements

        boolean — If enabled, abandon quit engagements are excluded from total inbound messaging engagements.

      • service_level_exclude_long_abandoned_calls

        boolean — If enabled, long-abandoned calls are excluded from all inbound calls.

      • service_level_exclude_short_abandoned_calls

        boolean — If enabled, short-abandoned calls are excluded from all inbound calls.

      • service_level_target_in_percentage

        integer — A target for the service level as the benchmark to refer to in reports.

      • service_level_threshold_in_seconds

        integer — If channel type is voice or video, this threshold is answer time by agents for all inbound calls. Otherwise, this threshold is first message speed by agents for all engagements.

      • short_abandon_enable

        boolean — Whether to enable the **Short Abandon** setting is enabled.

      • short_abandon_threshold

        integer — The task queue's short abandon threshold, to the second.

      • transferring_media_id

        string — Media ID to use while users are being transferred. Channel type - Voice

      • transferring_media_name

        string — File name of the media to use while users are being transferred. Channel type - Voice

      • waiting_room_id

        string — ID of the waiting room for users. Channel type - Video

      • waiting_room_name

        string — Name of the user's waiting room. Channel type - Video

      • wrap_up_expiration

        boolean — If enabled, engagements auto close at the end of the wrap-up duration.

      • wrap_up_time

        integer — The task queue's wrap up time, to the second.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "cc_queue_id": "",
      "queue_name": "",
      "queue_description": "",
      "dispositions_count": 1,
      "disposition_sets_count": 1,
      "channel_types": [
        "voice"
      ],
      "max_wait_time": 1,
      "wrap_up_time": 1,
      "max_engagement_in_queue": 1,
      "short_abandon_enable": true,
      "short_abandon_threshold": 1,
      "distribution_type": 1,
      "distribution_duration_in_seconds": 1,
      "connecting_media_id": "",
      "connecting_media_name": "",
      "transferring_media_id": "",
      "transferring_media_name": "",
      "holding_media_id": "",
      "holding_media_name": "",
      "waiting_room_name": "",
      "waiting_room_id": "",
      "message_accept": "manual",
      "wrap_up_expiration": true,
      "overflow_to_goodbye_message": true,
      "overflow_to_cc_queue_id": "",
      "overflow_to_flow_id": "",
      "overflow_to_inbox_id": "",
      "auto_close_message_enabled": true,
      "auto_close_message": "",
      "auto_close_timeout": 1,
      "auto_close_alert_message_enabled": true,
      "auto_close_alert_message": "",
      "auto_close_alert_message_time": 1,
      "recording_storage_location": "",
      "service_level_threshold_in_seconds": 1,
      "service_level_exclude_short_abandoned_calls": true,
      "service_level_exclude_long_abandoned_calls": true,
      "service_level_exclude_abandoned_quit_engagements": true,
      "service_level_target_in_percentage": 1,
      "queue_created_time": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the created task queue.

      • cc_queue_id (required)

        string — The Contact Center queue's ID.

      • date_time_ms (required)

        string, format: date-time — The date and time when the queue was created, to the millisecond. Refer to queue_created_time for a more accurate time when the queue was created.

      • auto_close_alert_message

        string — A warning message is sent before auto close.

      • auto_close_alert_message_enabled

        boolean — If enabled, a warning message is sent before auto close.

      • auto_close_alert_message_time

        integer — Auto close alert message time, to the minute.

      • auto_close_message

        string — A warning message is sent when auto close.

      • auto_close_message_enabled

        boolean — If enabled, a warning message is sent when auto closed.

      • auto_close_timeout

        integer — Auto close message time, to the minute.

      • channel_types

        array — The task queue's channel types.

        Items:

        string, possible values: "voice", "chat", "sms", "video", "messaging"

      • connecting_media_id

        string — Notify duration for each queue user, to the second.

      • connecting_media_name

        string — File name of the media in use while consumers are being connected. Channel type - Voice

      • disposition_sets_count

        integer — The count of disposition sets.

      • dispositions_count

        integer — The count of dispositions.

      • distribution_duration_in_seconds

        integer — Distribution duration, to the second.

      • distribution_type

        integer — Distribute incoming engagements.

      • holding_media_id

        string — Media ID to use while users are on hold. Channel type - Voice

      • holding_media_name

        string — File name of the media to use while users are on hold. Channel type - Voice

      • max_engagement_in_queue

        integer — The task queue's maximum engagement in queue. Value must be between 1 and 3000.

      • max_wait_time

        integer — Maximum wait time, to the second.

      • message_accept

        string, possible values: "manual", "auto" — Option to accept a message manually or automatically. Channel type - Chat, SMS

      • overflow_to_cc_queue_id

        string — Contact Center queue ID. If the overflow type is queue, the consumer is routed to this queue when the wait time is exceeded.

      • overflow_to_flow_id

        string — Flow ID. If the overflow type is flow, the consumer is routed to this flow when the wait time is exceeded.

      • overflow_to_goodbye_message

        boolean — If enabled, a goodbye message plays and then disconnects when the wait time is exceeded.

      • overflow_to_inbox_id

        string — Inbox ID. If the overflow type is inbox, the consumer is routed to this inbox when the wait time is exceeded.

      • overflow_to_queue_id

        string — Queue ID. If the overflow type is queue, the consumer is routed to this queue when the wait time is exceeded.

      • queue_created_time

        string, format: date-time — The queue creation time, to the millisecond.

      • queue_description

        string — The task queue's description.

      • queue_id

        string — The task queue's ID.

      • queue_name

        string — The task queue's name.

      • recording_storage_location

        string — The recording storage location.

      • service_level_exclude_abandoned_quit_engagements

        boolean — If enabled, abandon quit engagements are excluded from total inbound messaging engagements.

      • service_level_exclude_long_abandoned_calls

        boolean — If enabled, long-abandoned calls are excluded from all inbound calls.

      • service_level_exclude_short_abandoned_calls

        boolean — If enabled, short-abandoned calls are excluded from all inbound calls.

      • service_level_target_in_percentage

        integer — A target for the service level as the benchmark to refer to in reports.

      • service_level_threshold_in_seconds

        integer — If channel type is voice or video, this threshold is answer time by agents for all inbound calls. Otherwise, this threshold is first message speed by agents for all engagements.

      • short_abandon_enable

        boolean — Whether to enable the **Short Abandon** setting is enabled.

      • short_abandon_threshold

        integer — The task queue's short abandon threshold, to the second.

      • transferring_media_id

        string — Media ID to use while users are being transferred. Channel type - Voice

      • transferring_media_name

        string — File name of the media to use while users are being transferred. Channel type - Voice

      • waiting_room_id

        string — ID of the waiting room for users. Channel type - Video

      • waiting_room_name

        string — Name of the user's waiting room. Channel type - Video

      • wrap_up_expiration

        boolean — If enabled, engagements auto close at the end of the wrap-up duration.

      • wrap_up_time

        integer — The task queue's wrap up time, to the second.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "cc_queue_id": "",
      "queue_name": "",
      "queue_description": "",
      "dispositions_count": 1,
      "disposition_sets_count": 1,
      "channel_types": [
        "voice"
      ],
      "max_wait_time": 1,
      "wrap_up_time": 1,
      "max_engagement_in_queue": 1,
      "short_abandon_enable": true,
      "short_abandon_threshold": 1,
      "distribution_type": 1,
      "distribution_duration_in_seconds": 1,
      "connecting_media_id": "",
      "connecting_media_name": "",
      "transferring_media_id": "",
      "transferring_media_name": "",
      "holding_media_id": "",
      "holding_media_name": "",
      "waiting_room_name": "",
      "waiting_room_id": "",
      "message_accept": "manual",
      "wrap_up_expiration": true,
      "overflow_to_goodbye_message": true,
      "overflow_to_cc_queue_id": "",
      "overflow_to_flow_id": "",
      "overflow_to_inbox_id": "",
      "auto_close_message_enabled": true,
      "auto_close_message": "",
      "auto_close_timeout": 1,
      "auto_close_alert_message_enabled": true,
      "auto_close_alert_message": "",
      "auto_close_alert_message_time": 1,
      "recording_storage_location": "",
      "service_level_threshold_in_seconds": 1,
      "service_level_exclude_short_abandoned_calls": true,
      "service_level_exclude_long_abandoned_calls": true,
      "service_level_exclude_abandoned_quit_engagements": true,
      "service_level_target_in_percentage": 1,
      "queue_created_time": "",
      "date_time_ms": ""
    }
  }
}

POST contact_center.inbox_message_opened

  • Method: POST
  • Path: contact_center.inbox_message_opened
  • Tags: contact_center

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the opened inbox message.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The date and time when the message was opened, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • inbox_id (required)

        string — The inbox's ID.

      • inbox_name (required)

        string — The inbox's name.

      • message_id (required)

        string — The message's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_display_name

        string — The user's display name.

      • user_id

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "cc_queue_id": "",
      "queue_name": "",
      "flow_id": "",
      "flow_name": "",
      "flow_number": "",
      "consumer_number": "",
      "user_id": "",
      "user_display_name": "",
      "teams": [
        {
          "team_id": "",
          "team_name": ""
        }
      ],
      "inbox_id": "",
      "inbox_name": "",
      "message_id": "",
      "date_time_ms": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID.

    • object (required)

      object — Information about the opened inbox message.

      • channel (required)

        string, possible values: "voice" — The task's channel.

      • date_time_ms (required)

        string, format: date-time — The date and time when the message was opened, to the millisecond.

      • engagement_direction (required)

        string, possible values: "inbound" — The engagement's direction.

      • engagement_id (required)

        string — The engagement's ID.

      • inbox_id (required)

        string — The inbox's ID.

      • inbox_name (required)

        string — The inbox's name.

      • message_id (required)

        string — The message's ID.

      • cc_queue_id

        string — The Contact Center queue's ID.

      • consumer_number

        string — The consumer's phone number.

      • flow_id

        string — The engagement's flow ID.

      • flow_name

        string — The flow's name.

      • flow_number

        string — The flow's phone number.

      • queue_name

        string — The engagement queue's name.

      • teams

        array — The user's teams.

        Items:

        • team_id

          string — The team's ID.

        • team_name

          string — The team's name.

      • user_display_name

        string — The user's display name.

      • user_id

        string — The user's ID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "engagement_id": "",
      "engagement_direction": "inbound",
      "channel": "voice",
      "cc_queue_id": "",
      "queue_name": "",
[...]
